function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, Index, Column, PrimaryGeneratedColumn } from "typeorm";
import { id } from "../id.js";
export let UserIp = class UserIp {
    id;
    createdAt;
    userId;
    ip;
};
_ts_decorate([
    PrimaryGeneratedColumn(),
    _ts_metadata("design:type", String)
], UserIp.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {}),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], UserIp.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], UserIp.prototype, "userId", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], UserIp.prototype, "ip", void 0);
UserIp = _ts_decorate([
    Entity(),
    Index([
        "userId",
        "ip"
    ], {
        unique: true
    })
], UserIp);
